Package org.eclipse.birt.report.model.api.metadata

# Interface IChoice

All Known Implementing Classes:
  `org.eclipse.birt.report.model.metadata.Choice`, `UserChoice`

public interface IChoice
Describes the options for a property value. A choice has a display name and an internal name (XML name). The display name is localized, the XML name is not.

## Method Summary

Modifier and Type
Method
Description
`IChoice`
`copy()`
Creates a deep copy of this choice.
`String`
`getDisplayName()`
Returns the localized display name for the choice.
`String`
`getDisplayName(com.ibm.icu.util.ULocale locale)`
Returns the localized display name for the choice.
`String`
`getDisplayNameKey()`
Returns the display name resource key for the choice.
`String`
`getName()`
Returns the choice name that appears in the XML design file.
`Object`
`getValue()`
Returns the value of the choice.

## Method Details

### getDisplayName

String getDisplayName()
Returns the localized display name for the choice.

Returns:
  the localized display name for the choice.

### getDisplayName

String getDisplayName(com.ibm.icu.util.ULocale locale)
Returns the localized display name for the choice.

Returns:
  the localized display name for the choice.

### getDisplayNameKey

String getDisplayNameKey()
Returns the display name resource key for the choice.

Returns:
  the display name resource key

### getName

String getName()
Returns the choice name that appears in the XML design file.

Returns:
  the choice name used in the XML design file

### getValue

Object getValue()
Returns the value of the choice. The returned value equals to the internal name of the system choice.

Returns:
  the value of the choice

### copy

IChoice copy()
Creates a deep copy of this choice.

Returns:
  a copy of this choice.